{
  "branches": [
    "main",
    {
      "name": "development",
      "prerelease": true
    }
  ],
  "plugins": [
    "@semantic-release/npm",
    "@semantic-release/commit-analyzer",
    "@semantic-release/release-notes-generator",
    "@semantic-release/gitlab",
    [
      "@semantic-release/changelog",
      {
        "changelogFile": "CHANGELOG.md"
      }
    ],
    [
      "@semantic-release/git",
      {
        "assets": [
          "package.json",
          "package-lock.json",
          "CHANGELOG.md"
        ],
        "message": "chore(release): ${nextRelease.version} \n\n${nextRelease.notes}"
      }
    ],
    [
      "@saithodev/semantic-release-backmerge",
      {
        "backmergeBranches": [
          {
            "from": "main",
            "to": "development"
          }
        ]
      }
    ],
    [
      "@egavard/semantic-release-slack",
      {
        "fullReleaseNotes": true,
        "platforms": [
          "docker"
        ]
      }
    ]
  ]
}